Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231536 - Review Request: muine-scrobbler - Audioscrobbler plugin for Muine
Summary: Review Request: muine-scrobbler - Audioscrobbler plugin for Muine
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 21:15 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-06 16:02:31 UTC
bdpepple: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-03-08 21:15:11 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/muine-scrobbler.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/muine-scrobbler-0.1.8-1.src.rpm

Description:

Muine-scrobbler is a plugin to connect to last.fm/audioscrobbler 
from the Muine music player.

Last.fm (www.last.fm) is a service for tracking your listening habits 
and suggesting new music you might like.

Issues: 

rpmlint on SRPM is silent. However, on -debuginfo it reports that the -debuginfo package is empty. Don't know how to deal with this. On the muine-scrobbler rpm it reports:

" E: muine-scrobbler no-binary
  E: muine-scrobbler only-non-binary-in-usr-lib "

Both of which I'm not sure how to deal with, if at all.

Comment 1 Brian Pepple 2007-05-21 20:56:41 UTC
MD5Sums:
c8470e586c5face7f9be09decbe20398  muinescrobbler-0.1.8.tar.gz

Good:
* Source URL is canonical
* License matches tarball
* Upstream source tarball verified
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* Package builds fine in Mock.
* Files have appropriate permissions and owners
* tarball contains no pre-compiled dll's
* Follows mono packaging guidelines and uses %{_libdir}
* these rpmlint errors can be ignored since it's a mono package:
  E: muine-scrobbler no-binary
  E: muine-scrobbler only-non-binary-in-usr-lib
  E: muine-scrobbler-debuginfo empty-debuginfo-package

+1 APPROVE

Comment 2 Sindre Pedersen Bjørdal 2007-05-22 15:05:50 UTC
New Package CVS Request
=======================
Package Name: muine-scrobbler
Short Description: Audioscrobbler plugin for Muine
Owners: foolish@guezz.net
Branches: FC-6
InitialCC: 

Comment 3 Tom "spot" Callaway 2007-05-22 15:25:16 UTC
I assumed you wanted an F-7 branch here too... don't forget to do that! :)

CVS done.

Comment 4 Sindre Pedersen Bjørdal 2007-05-23 11:01:16 UTC
Build fails on ppc and x86_64 in koji. Suggestions welcome


Note You need to log in before you can comment on or make changes to this bug.